Subject: Re: [PATCH 1/2] mm: Replace nr_node_ids for loop with for_each_node in list lru

From: Vladimir Davydov <[email-masked]>
Date: Mon, 14 Sep 2015 15:04:55 +0300

On Mon, Sep 14, 2015 at 05:09:31PM +0530, Raghavendra K T wrote:
> On 09/14/2015 02:30 PM, Vladimir Davydov wrote:
> >On Wed, Sep 09, 2015 at 12:01:46AM +0530, Raghavendra K T wrote:
> >>The functions used in the patch are in slowpath, which gets called
> >>whenever alloc_super is called during mounts.
> >>
> >>Though this should not make difference for the architectures with
> >>sequential numa node ids, for the powerpc which can potentially have
> >>sparse node ids (for e.g., 4 node system having numa ids, 0,1,16,17
> >>is common), this patch saves some unnecessary allocations for
> >>non existing numa nodes.
> >>
> >>Even without that saving, perhaps patch makes code more readable.
> >
> >Do I understand correctly that node 0 must always be in
> >node_possible_map? I ask, because we currently test
> >lru->node[0].memcg_lrus to determine if the list is memcg aware.
> >
> 
> Yes, node 0 is always there. So it should not be a problem.

I think it should be mentioned in the comment to list_lru_memcg_aware
then.

Thanks,
Vladimir